package models

import (

	"go-admin/common/models"

)

type LineAccountSetting struct {
    models.Model
    
    UserName string `json:"userName" gorm:"type:varchar(255);comment:用户"` 
    Password string `json:"password" gorm:"type:varchar(255);comment:密码"` 
    models.ModelTime
    models.ControlBy
}

func (LineAccountSetting) TableName() string {
    return "line_account_setting"
}

func (e *LineAccountSetting) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineAccountSetting) GetId() interface{} {
	return e.Id
}